/**
 * State2.java
 *
 * File generated from the medication2::State2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration State2.
 *
 * 
 */

@XmlType(name = "State")
@XmlEnum
@XmlRootElement(name = "State2")
public enum State2 {
	@XmlEnumValue("STATE")
	STATE("STATE"),
	@XmlEnumValue("NAT")
	NAT("NAT");
	
	private final String value;

    State2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static State2 fromValue(String v) {
        for (State2 c: State2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
